package controller

import (
	"web-qudo-be/app/module/our_product_contents/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	OurProductContent OurProductContentController
}

func NewController(ourProductService service.OurProductContentService, log zerolog.Logger) *Controller {
	return &Controller{
		OurProductContent: NewOurProductContentController(ourProductService, log),
	}
}